// 编写一个模板函数 maxValue，接受两个参数，并返回其中较大的值。
// 【提示】T maxVal(T &v1, T &v2)
#include <iostream>
#include <cstring>
#include <cstdlib>

using namespace std;

template <typename T>
T maxVal(T &v1, T &v2)
{
    return v1 > v2 ? v1 : v2;
}

int main()
{
    int a = 2, b = 5;
    cout << "更大的值是: " << maxVal(a, b) << endl;
    return 0;
}
